Skip to main content
POST
Infer Proactive Topics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
required

The ID of the user

Query Parameters

topk
integer

Number of profiles to retrieve, default is all

max_token_size
integer

Max token size of returned profile content, default is all

prefer_topics
string[]

Rank prefer topics at first to try to keep them in filtering, default order is by updated time

only_topics
string[]

Only return profiles with these topics, default is all

max_subtopic_size
integer

Max subtopic size of the same topic in returned profile, default is all

topic_limits_json
string

Set specific subtopic limits for topics in JSON, for example {"topic1": 3, "topic2": 5}. The limits in this param will override max_subtopic_size.

Body

application/json

The body of the request

messages
OpenAICompatibleMessage · object[]
required

The latest messages between user/assistant

agent_context
string | null

The agent's roleplay prompt

Response

Successful Response

data
ProactiveTopicData · object | null

Response containing proactive topic data

errno
enum<integer>
default:0

Error code, 0 means success

Available options:
0,
400,
401,
403,
404,
405,
409,
422,
500,
501,
502,
503,
504,
520
errmsg
string
default:""

Error message, empty when success